#
# spec file for package svn2git
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           svn2git
Version:        1.0.18
Release:        1.4
Summary:        Importer for one time conversion from SVN to Git
License:        GPL-3.0-only
Group:          Development/Tools/Version Control
URL:            https://github.com/svn-all-fast-export/%{name}
Source0:        https://github.com/svn-all-fast-export/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  subversion-devel
BuildRequires:  pkgconfig(Qt5Core)
Requires:       git
Requires:       subversion

%description
Tool to convert an SVN repository to Git based on a custom written ruleset, in
order to properly migrate all branches and tags.

%prep
%setup -q

%build
%qmake5 -o Makefile fast-export2.pro CONFIG+=RELEASE
%make_jobs

%install
install -Dm755 svn-all-fast-export %{buildroot}/%{_bindir}/svn-all-fast-export
ln -s %{_bindir}/svn-all-fast-export %{buildroot}/%{_bindir}/%{name}

%files
%license LICENSE
%doc samples README.md
%{_bindir}/svn-all-fast-export
%{_bindir}/%{name}

%changelog
* Sun Jul 16 2023 Dirk Müller <dmueller@suse.com>
- update to 1.0.18:
  * Fix .gitignore handling in root directory
  * Use svn_repos_open() for Subversion 1.6 support
* Tue Jun  4 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 1.0.16. Changes since 1.0.13:
  * Don't warn about branches created at revision 1
  * Fix a build error
* Mon Apr  8 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 1.0.13:
  * Create annotated tags even when dealing with sub-paths
  * *.pro: remove "Automatically generated by qmake…" header
  * Allow compiling against SVN 1.8.
- Drop the Qt4 dependency
- Run spec-cleaner
* Fri Nov 13 2015 tampakrap@opensuse.org
- Moved to github, change URL and Source accordingly
* Tue Apr 28 2015 crrodriguez@opensuse.org
- Use qt5 in Factory instead of qt4, no source code
  changes needed.
- Do not call lrelease, no translations found.
* Mon Jun  9 2014 tampakrap@opensuse.org
- spec-cleaner
* Wed Aug 21 2013 tchvatal@suse.com
- Pretify the spec
* Wed Aug 21 2013 tchvatal@suse.com
- Initial commit. Requested by TChatzimichos.
